Budget & Eligibility
curl --request GET \
--url https://api.heyhestia.com/partner/budget \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.heyhestia.com/partner/budget"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.heyhestia.com/partner/budget', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.heyhestia.com/partner/budget",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.heyhestia.com/partner/budget"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.heyhestia.com/partner/budget")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.heyhestia.com/partner/budget")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"budget": 209845,
"budgetWithNotaryFees": 226633,
"eligibility": {
"location": true,
"budget": true
}
}
Endpoints
Budget & Eligibility
Get a user budget & eligibility to Hestia
GET
/
budget
Budget & Eligibility
curl --request GET \
--url https://api.heyhestia.com/partner/budget \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.heyhestia.com/partner/budget"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.heyhestia.com/partner/budget', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.heyhestia.com/partner/budget",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.heyhestia.com/partner/budget"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.heyhestia.com/partner/budget")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.heyhestia.com/partner/budget")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"budget": 209845,
"budgetWithNotaryFees": 226633,
"eligibility": {
"location": true,
"budget": true
}
}
This endpoint is used to simulate :
- The budget of the user -> This represents the maximum amount (including agency fees) on which Hestia can help.
- The eligibility -> This represents if Hestia can help based on the budget and location.
What is budgetWithNotaryFees?
Check this page to understand the differences between
budget and
budgetWithNotaryFeesParameters
number
required
The total loan repayments per month. This field is used to calculate the debt
ratio.
number
required
The net income per month
number
required
The total amount of his assets (real estate, passbooks, current account,
liquid investments at 15 months…etc)
string
Postal code of purchase project
Response
number
This amount encompasses the total budget where Hestia can guide the buyer,
including agency fees.
number
This amount represents the all-inclusive budget covering both agency and
notary fees. This is the budget you can compare to banks.
Check our page about differences between budgets.
Check our page about differences between budgets.
object
The eligibility object
Hide properties
Hide properties
{
"budget": 209845,
"budgetWithNotaryFees": 226633,
"eligibility": {
"location": true,
"budget": true
}
}
Was this page helpful?